Ledger
Manage account holders, ledger accounts, and financial transactions
Endpoints for managing the core ledger system including account holders, accounts, balances, and transactions.
Tenant
Account Holders
POST /v1/ledger/account_holders
Creates a third-party account holder
GET /v1/ledger/account_holders/{id}
Get account holder information
GET /v1/ledger/account_holders/find_by
Find account holder information
PATCH /v1/ledger/account_holders/{id}
Updates a third-party account holder
Accounts
GET /v1/ledger/accounts
List of ledger accounts
POST /v1/ledger/accounts
Creates a ledger account
PATCH /v1/ledger/accounts/{id}
Updates state of a ledger account
Balances
GET /v1/ledger/accounts/{account_id}/balances
Get balances
POST /v1/ledger/accounts/{account_id}/balance
Topup or withdrawal a ledger account balance
Transactions
GET /v1/ledger/accounts/{account_id}/transactions
Gets account transactions
GET /v1/ledger/accounts/{account_id}/transactions/{id}
Gets an account transaction detail
Transfers
POST /v1/ledger/transfers
Perform a transfer between ledger accounts
GET /v1/ledger/subaccount_operations/find_successful_by
Find successful subaccount operation